SELECT escd.*, CASE escd.sub_esc WHEN 0 THEN aral.Cod_Aral 
               ELSE arti.Cod_Arti 
               ENd As Codigo, 
               CASE escd.sub_esc WHEN 0 THEN aral.Desc_Aral 
               ELSE arti.Desc_Arti 
               ENd As Descripcion, 
               CASE escd.sub_esc WHEN 0 THEN unme.Cod_Unme 
               ELSE '''' ENd As UMed, 
               CASE escd.sub_esc WHEN 0 THEN 
				CASE WHEN Coalesce(Max(psec.p_costo), 0) = 0 
				THEN COALESCE(aral.p_costo, 0) 
				ELSE Coalesce(Max(psec.p_costo), 0) 
				END  
			   ELSE Coalesce(arti.Precio_Costo / arti.factor_div, 0) 
			   ENd As PCosto,
			   ISNULL(aral.existencia, 0) AS existencia 
FROM RESTESCD escd 
LEFT JOIN ALMAAREX aral ON escd.id_aral_arti = aral.id_aral and sub_esc = 0 
LEFT JOIN ALMAUNME unme ON aral.id_unme = unme.id_unme 
LEFT JOIN ALMAPSEC psec ON aral.id_aral = psec.id_aral 
LEFT JOIN RESTARTI arti ON escd.id_aral_arti = arti.id_arti and sub_esc = 1 
--WHERE CASE escd.sub_esc WHEN 0 THEN unme.Cod_Unme 
--               ELSE '''' ENd = ''''
GROUP BY escd.id_escd, escd.id_arti, escd.id_aral_arti, escd.cantidad, escd.sub_esc, 
escd.no_rebaja, aral.cod_aral, arti.cod_arti, aral.desc_aral, arti.desc_arti, 
unme.cod_unme, arti.Precio_Costo,arti.factor_div, aral.p_costo, aral.existencia 
ORDER BY codigo, sub_esc

-- Alternativos (no aplica...)
/*
SELECT alte.*, aral.Cod_Aral , aral.Desc_Aral, unme.Cod_Unme, 
       CASE WHEN Coalesce(Max(psec.p_costo), 0) = 0 THEN COALESCE(aral.p_costo, 0) 
            ELSE Coalesce(Max(psec.p_costo), 0) 
       END  As PCosto 
FROM RESTALTE alte 
INNER JOIN ALMAARTI aral ON alte.id_aral = aral.id_aral 
INNER JOIN ALMAUNME unme ON aral.id_unme = unme.id_unme 
LEFT JOIN ALMAPSEC psec ON aral.id_aral = psec.id_aral WHERE alte.id_escd = 4371
GROUP BY alte.id_alte, alte.id_escd, alte.id_aral, alte.cantidad, 
         alte.orden, aral.cod_aral, aral.desc_aral, unme.cod_unme, 
         aral.p_costo 
ORDER BY orden
*/